Name:           adonthell
Version:        0.3.4
Release:        0.7%{?dist}
Summary:        A 2D graphical RPG game

Group:          Amusements/Games
License:        GPLv2
URL:            http://adonthell.linuxgames.com/
Source0:        http://savannah.nongnu.org/download/adonthell/%{name}-src-0.3.4a.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel
BuildRequires:  python-devel
BuildRequires:  zlib-devel
BuildRequires:  freetype-devel
BuildRequires:  libxml2-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  libpng-devel
BuildRequires:  swig
BuildRequires:  doxygen
BuildRequires:  graphviz
Requires:       SDL
Requires:       python
Requires:       zlib
Requires:       freetype
Requires:       SDL_mixer


%description
A 2D, graphical, single player role playing game inspired by good old
console RPGs from the SNES like Secret of Mana or Chrono Trigger.

This package contains the Adonthell engine. You will also need a game
package to play Adonthell. For this release, the official package is
Waste's Edge.


%package doc
Summary:        API documentation for %{name}

Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
API documentation for %{name} generated by doxygen in HTML format.


%prep
%setup -q
# patch to make it build (corrected upstream for future release)
sed -i 's|drawing_area::||' src/drawing_area.h
sed -i 's|^#include FT_INTERNAL_OBJECTS_H$||' src/SDL_ttf.c
sed -i 's|stream->memory = library->memory;|stream->memory = NULL;|' src/SDL_ttf.c
# fix wrong file permissions (fixed upstream for future release)
find src/ -type f -print0 | xargs -0 -n 250 chmod a-x
chmod a-x COPYING README
# install locale files in the right place
sed -i 's|myconfig.gamedir + "/locale"|"%{_datadir}/locale"|' src/nls.cc
# patch to make it build on 64 bits arches (hardcoded /lib/ in configure)
sed -i 's|/lib\([ /"]\)|/%{_lib}\1|g' configure

%build
%configure --enable-doc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING FULLSCREEN.howto NEWBIE NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/modules/%{name}.pyc
%{_datadir}/%{name}/modules/dialogue.pyc

%files doc
%doc doc/devel/html


%changelog
* Thu Apr 17 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.7
- fixed building on 64 bits arch (/lib was hard coded in configure.in)

* Fri Apr 04 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.6
- fixed typo in doc description

* Fri Feb 22 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.5
- search for translations in the right place so that wastesedge
package can install them in the right place

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.4
- separated the doc in a dedicated package

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.3
- cleaned the spec file again

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.2
- cleaned the spec file

* Mon Feb 18 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.1
- first version of the SPEC file
